clear all;
close all;
data1 = [2.5,2.4;0.5,0.7;2.2,2.9;1.9,2.2;3.1,3;2.3,2.7;2,1.6;1,1.1;1.5,1.6;1.2,0.9]';
[M,N] = size(data1);
% subtract off the mean for each dimension
mn = mean(data1,2);
mn1 = repmat(mn,1,N);
data = data1 - repmat(mn,1,N);
% calculate the covariance matrix
covariance = 1 / (N-1) * data * data';
% find the eigenvectors and eigenvalues
[PC, V] = eig(covariance);
% extract diagonal of matrix as vector
V1 = diag(V);
% sort the variances in decreasing order
[junk, rindices] = sort(-1*V1);
V2 = V1(rindices);
PC1 = PC(:,rindices);
% project the original data set
signals = (PC1' * data);
[coef,scores] = pca(data1');
figure(1);
scatter(data(1,:),data(2,:));
figure(2);
scatter(signals(1,:),signals(2,:));
%%%%Reconstruction..........
T = coef*scores' + repmat(mn,1,N);

